<?php
/**
 * Funkcja obliczająca pole powierzchni trójkąta.
 *
 * @param float $a Długość podstawy trójkąta
 * @param float $h Wysokość trójkąta
 * @return float   Obliczone pole powierzchni
 */
function triangle(float $a, float $h): float
{
    $p = 0.5 * $a * $h;  // obliczanie pola
    return (float)$p;    // zwracanie wyniku
}

echo triangle(10, 6);    // przykładowe wywołanie funkcji